package net.jieyuu.service;

import net.jieyuu.model.UserDO;
import com.baomidou.mybatisplus.extension.service.IService;
import net.jieyuu.request.UserLoginRequest;
import net.jieyuu.request.UserRegisterRequest;
import net.jieyuu.utils.JsonData;
import net.jieyuu.vo.UserVO;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-02-12
 */
public interface UserService extends IService<UserDO> {

    /**
     * 用户注册
     *
     * @param userRegisterRequest
     * @return
     */
    JsonData register(UserRegisterRequest userRegisterRequest);

    /**
     * 用户登录
     *
     * @param loginRequest
     * @return
     */
    JsonData login(UserLoginRequest loginRequest);

    /**
     * 查看用户详情
     *
     * @return
     */
    UserVO findUserDetail();
}
